// MyStatBar.cpp : implementation file
//

#include "stdafx.h"
#include "AnimBar.h"
#include "MyStatBar.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMyStatusBar

CMyStatusBar::CMyStatusBar()
{
	VERIFY(m_bmpArray[0].LoadBitmap(IDB_BMAP0));
	VERIFY(m_bmpArray[1].LoadBitmap(IDB_BMAP1));
	VERIFY(m_bmpArray[2].LoadBitmap(IDB_BMAP2));
	VERIFY(m_bmpArray[3].LoadBitmap(IDB_BMAP3));

	m_curBmap= 0;	
}

CMyStatusBar::~CMyStatusBar()
{
}


BEGIN_MESSAGE_MAP(CMyStatusBar, CStatusBar)
	//{{AFX_MSG_MAP(CMyStatusBar)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMyStatusBar message handlers
void CMyStatusBar::DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct)
{
    switch(lpDrawItemStruct->itemID)
    {
    case 1:
        // Attach to a CDC object
        CDC dc;
        dc.Attach(lpDrawItemStruct->hDC);

        // Get the pane rectangle and calculate text coordinates
        CRect rect(&lpDrawItemStruct->rcItem);

        CDC srcDC; // select current bitmap into a compatible CDC
		srcDC.CreateCompatibleDC(NULL);

		CBitmap* pOldBitmap;
		
		switch(m_curBmap)
		{
		case 0:
			pOldBitmap = srcDC.SelectObject(&m_bmpArray[0]);
			break;
		case 1:
			pOldBitmap = srcDC.SelectObject(&m_bmpArray[1]);
			break;
		case 2:
			pOldBitmap = srcDC.SelectObject(&m_bmpArray[2]);
			break;
		case 3:
			pOldBitmap = srcDC.SelectObject(&m_bmpArray[3]);
			break;
		}
			
		dc.BitBlt(rect.left, rect.top, rect.Width(), rect.Height(),
                  &srcDC, 0, 0, SRCCOPY); // BitBlt to pane rect
        srcDC.SelectObject(pOldBitmap);

        // Detach from the CDC object, otherwise the hDC will be
        // destroyed when the CDC object goes out of scope
        dc.Detach();

        return;
    }

    CStatusBar::DrawItem(lpDrawItemStruct);
}
